<?xml version="1.0"?>


<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xpath-default-namespace="http://www.tei-c.org/ns/1.0" version="2.0">


  <xsl:template match="/">
    <!--root rule-->
    <html lang="en">
      <head>
        
        <meta name="viewport" content="width=device-width, initial-scale=1"/>
        
        <title>
          <xsl:value-of select="TEI/teiHeader/fileDesc/titleStmt/title"/>
        </title>
        <style>
          p {
          font-size: 11pt;
          margin-left: 25px;
          }
          
          body {
          font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
          }
          
          blockquote {
          font-size: 11pt;
          }
          
          .centered {
          text-align: center;
          font-size: 9pt
          }
          
          .right-aligned {
          text-align: right;
          }
          
          .underlined {
          text-decoration: underline;
          }
          
          .outdented {
          margin-left: 0px
          }
          
          .vl {
          border-left: 1px solid;
          margin-left: 25px
          }
          
          a:link, a:visited, a:hover, a:active {
          text-decoration: none;
          }
          
          html { 
          scroll-behavior: smooth;
          }
          
          :target {
          animation: target-fade 8s 1;
          -webkit-animation: target-fade 8s 1;
          -moz-animation: target-fade 8s 1;
          }
          
          @keyframes target-fade {
          0% { background-color: rgba(0,0,0,.1); }
          100% { background-color: rgba(0,0,0,0); }
          }
          
          @-webkit-keyframes target-fade {
          0% { background-color: rgba(0,0,0,.1); }
          100% { background-color: rgba(0,0,0,0); }
          }
          
          @-moz-keyframes target-fade {
          0% { background-color: rgba(0,0,0,.1); }
          100% { background-color: rgba(0,0,0,0); }
          }      
        </style>
        
      </head>
      <body>
        <p id="top"></p>
        
                                                          <!-- From here-on it's all 'Push' -->
     <xsl:apply-templates/>
        <hr/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="text">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="body">
    <xsl:apply-templates/>
  </xsl:template>
  
  <xsl:template match="teiHeader"></xsl:template>         <!-- suppress teiHeader -->

  <xsl:template match="div">
    <xsl:apply-templates/>
    <hr />
  </xsl:template>
  
  <xsl:template match="head">
    <p>
      <xsl:if test="@xml:id">
        <xsl:call-template name="addID"/>
      </xsl:if>
      <xsl:apply-templates/>
    </p>
  </xsl:template>



  <xsl:template match="@xml:id" name="addID">
    <xsl:attribute name="id">
      <xsl:value-of select="@xml:id"/>
    </xsl:attribute>
  </xsl:template>


  <xsl:template match="p">
    <p>
      <xsl:if test="@xml:id">
        <xsl:call-template name="addID"/>
      </xsl:if>
      <xsl:apply-templates/>
    </p>
  </xsl:template>

  <xsl:template match="bibl">
    <p class="bibl">
      <xsl:if test="@xml:id">
        <xsl:call-template name="addID"/>
      </xsl:if>
      <xsl:apply-templates/>
    </p>
  </xsl:template>
  


 
  <xsl:template match="hi[@rend='underline']">
    <u><xsl:apply-templates></xsl:apply-templates></u>
  </xsl:template>  

  <xsl:template match="hi[@rend='italic']">
    <em><xsl:apply-templates></xsl:apply-templates></em>
  </xsl:template>  
  
  <xsl:template match="hi[@rend='bold']">
    <b><xsl:apply-templates></xsl:apply-templates></b>
  </xsl:template>  
  
</xsl:stylesheet>
